Imagick::getImageBackgroundColor
Imagick::getImageBluePrimary
The Imagick class
PHP Manual

# Imagick::getImageBlob

(PECL imagick 2.0.0)

Imagick::getImageBlob — Returns the image sequence as a blob

### Description

string Imagick::getImageBlob ( void )
Warning

This function is currently not documented; only its argument list is available.

Implements direct to memory image formats. It returns the image sequence as a string. The format of the image determines the format of the returned blob (GIF, JPEG, PNG, etc.). To return a different image format, use Imagick::setImageFormat().

### Return Values

Returns a string containing the image. Throw an ImagickException on error.

Imagick::getImageBackgroundColor
Imagick::getImageBluePrimary
The Imagick class
PHP Manual